Healium_Slash = "/hlm" -- the slash command 

local function DumpVar(varName, Value)
	if (Value == nil) then 
		Healium_Print(varName .. " = (nil)")	
	else
		Healium_Print(varName .. " = " .. tostring(Value))	
	end
end

function Healium_InitSlashCommands()
	SLASH_HEALIUM1 = Healium_Slash
	SlashCmdList["HEALIUM"] = Healium_SlashCmdHandler
end	

-- handles the slash commands for this addon
function Healium_SlashCmdHandler(cmd)
	if (cmd == "reset") then 
		Healium.Profiles = nil
		Healium_Print(Healium_AddonName .. " Reset")  
	elseif (cmd == "debug") then
		Healium_Debug = not Healium_Debug
		if (Healium_Debug) then
			Healium_Print(Healium_AddonName .. " Debug is ON")
		else
			Healium_Print(Healium_AddonName .. " Debug is OFF")
		end
	elseif (cmd == "dump") then
		if not IsAddOnLoaded("Blizzard_DebugTools") then
			LoadAddOn("Blizzard_DebugTools")
		end	
		DevTools_Dump("Healium = ")
		DevTools_Dump(Healium)
		DevTools_Dump("")
		DevTools_Dump("Healium_ButtonIDs = ")
		DevTools_Dump(Healium_ButtonIDs)
	elseif (cmd == "config") then
		Healium_ShowConfigPanel()
	elseif ( (cmd == "show") or (cmd == "show party") )then
		Healium_ShowHidePartyFrame(true)
	elseif (cmd == "show pets") then
		Healium_ShowHidePetsFrame(true)
	elseif (cmd == "show me") then
		Healium_ShowHideMeFrame(true)
	elseif (cmd == "show tanks") then
		Healium_ShowHideTanksFrame(true)
	elseif (cmd == "show 1") then
		Healium_ShowHideGroupFrame(1, true)
	elseif (cmd == "show 2") then	
		Healium_ShowHideGroupFrame(2, true)	
	elseif (cmd == "show 3") then	
		Healium_ShowHideGroupFrame(3, true)
	elseif (cmd == "show 4") then	
		Healium_ShowHideGroupFrame(4, true)
	elseif (cmd == "show 5") then	
		Healium_ShowHideGroupFrame(5, true)
	elseif (cmd == "show 6") then	
		Healium_ShowHideGroupFrame(6, true)	
	elseif (cmd == "show 7") then	
		Healium_ShowHideGroupFrame(7, true)	
	elseif (cmd == "show 8") then	
		Healium_ShowHideGroupFrame(8, true)	
	else
		Healium_Print(Healium_AddonName .. " Commands")  
		Healium_Print(Healium_Slash .. " - Shows " .. Healium_AddonName .. " commands.  (what you see here)")
		Healium_Print(Healium_Slash .. " config - Shows the " .. Healium_AddonName .. " config panel")		
		Healium_Print(Healium_Slash .. " show [party | pets | me | tanks | 1-8] - Shows the corresponding " .. Healium_AddonName .. " frame")				
--		Healium_Print(Slash .. " reset - Resets the ".. Healium_AddonName .. " UI")
--		DEFAULT_CHAT_FRAME:AddMessage(Slash .. " debug - Toggles " .. Healium_AddonName .. " debugging")
--		DEFAULT_CHAT_FRAME:AddMessage(Slash .. " dump - Outputs " .. Healium_AddonName .. " variables for debugging purposes")
	end
end

